using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class pmov
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public pmov()
       {
           Fields.AddRange(new MetaNode[] {
           new TagReference("Particle_Physics"),
           new Bitmask("Flags", new string[] { "Physics", "Collide_with_Structure", "Collide_with_Media", "Collide_with_Scenery", "Collide_with_Vehicles", "Collide_with_Bipeds", "Swarm", "Wind" }, 32),
           new Reflexive("Unknown6", 20, new MetaNode[] { 
               new Value("Unknown", typeof(int)),
               new Reflexive("Unknown8", 20, new MetaNode[] { 
                   new Value("Unknown", typeof(int)),
                   new Value("Unknown", typeof(int)),
                   new Value("Unknown", typeof(int)),
                   new Reflexive("Unknown12", 1, new MetaNode[] { 
                       new Value("Floats", typeof(byte)),
                   }),
               }),
               new Value("Unknown", typeof(int)),
               new Value("Unknown", typeof(int)),
           }),
           });
       }
    }
}
